Bug 102833 - prelink 0.3.0-2 nightly error messages.
prelink 0.3.0-2 nightly error messages.
Status: CLOSED RAWHIDE
Product: Red Hat Raw Hide
Classification: Retired
Component: prelink (Show other bugs)
1.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jakub Jelinek
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-08-21 13:08 EDT by Alejandro Gonzalez Hernandez - Imoq
Modified: 2007-04-18 12:57 EDT (History)
0 users

See Also:
Fixed In Version: 0.3.0-4
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-08-25 08:22:33 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Error messages I get via e-mail. (39.18 KB, text/plain)
2003-08-21 13:09 EDT, Alejandro Gonzalez Hernandez - Imoq
no flags Details

  None (edit)
Description Alejandro Gonzalez Hernandez - Imoq 2003-08-21 13:08:21 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686) Gecko/20030701 Galeon/1.3.7

Description of problem:
Under Shrike with all packages up2date and kernel 2.6.0-test3, I receive this
e-mail every night when cron.daily does the prelink thing. I just changed
/etc/sysconfig/prelink to "PRELINKING=yes".

I attach the e-mail with error messages.


Version-Release number of selected component (if applicable):
prelink-0.3.0-2

How reproducible:
Always

Steps to Reproduce:
1. Wait for cron.daily to run.
2. Read root's daily e-mail.

    

Actual Results:  I get a lot of error messages.


Expected Results:  No error messages.


Additional info:

prelink version:

[root@imoqland rpms]# rpm -qif /usr/sbin/prelink
Name        : prelink                      Relocations: (not relocateable)
Version     : 0.3.0                             Vendor: Red Hat, Inc.
Release     : 2                             Build Date: Fri 08 Aug 2003 02:46:46
AM CDT
Install Date: Wed 20 Aug 2003 11:08:57 AM CDT      Build Host: bugs.devel.redhat.com
Group       : System Environment/Base       Source RPM: prelink-0.3.0-2.src.rpm
Size        : 773293                           License: GPL
Signature   : (none)
Packager    : Red Hat, Inc. <http://bugzilla.redhat.com/bugzilla>
Summary     : An ELF prelinking utility.
Description :
The prelink package contains a utility which modifies ELF shared
libraries and executables. This results in less relocations in need of
resolution at runtime, allowing programs to come up faster.

Additional information:

[root@imoqland rpms]# uname -a
Linux imoqland.myhost.com 2.6.0-0.test3.1.31 #1 Sat Aug 9 15:19:56 EDT 2003 i686
i686 i386 GNU/Linux
[root@imoqland rpms]# cat /etc/issue
Red Hat Linux release 9 (Shrike)
Kernel \r on an \m
Comment 1 Alejandro Gonzalez Hernandez - Imoq 2003-08-21 13:09:53 EDT
Created attachment 93820 [details]
Error messages I get via e-mail.
Comment 2 Jakub Jelinek 2003-08-25 08:22:33 EDT
prelink-0.3.0-4 should just log these errors (which just mean that some programs
couldn't be prelinked and reasons for it) into a log file, not mail them to root.
Errors with /usr/X11R6/lib/libGL.so.1.2 in it mean you don't have rawhide
XFree86 installed (you should install rawhide glibc as well), errors with
No such file or directory in it often mean some program can be started only
with explicit LD_LIBRARY_PATH (set e.g. in some wrapper script). Such programs
are not prelinkable, unless you tell those paths to prelink with --ld-library-path
option or unless they are changed to use DT_RPATH resp. DT_RUNPATH.

Note You need to log in before you can comment on or make changes to this bug.